Topic
  • 12 replies
  • Latest Post - ‏2014-02-07T12:10:19Z by prithvik
vikkychan
vikkychan
12 Posts

Pinned topic WID upgrade Issue, Business Integration perspective not available.

‏2011-09-26T13:51:35Z |
WinXP/WID with integrated Test env. currently at 7.0.0.4
Hi
I upgraded my WID tool from 7.x.3 to 7.x.4 (current latest) and deleted the backup files. After I deleted the files, the Business Integration Perspective is not working, I can switch into it, but it wont actually show a browser tree on left so that I can expand branch with Maps/Process etc. As a result I m unable to open any maps/bpels/mediation module in the respective editor mode.

On web there's some discussion about not to UNCHECK those "Keep Backup Files" etc in IBM Installation Manager. But I m unable to resolve the issue from where I am as all the modules are in latest version and theres' nothing further to upgrade.

Thanks
VikkyChan
PS: if you have come to a solution, share among us here in this forum
Updated on 2013-01-22T06:12:44Z at 2013-01-22T06:12:44Z by SreenivasBandaru
  • bmruter
    bmruter
    32 Posts

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2011-09-27T12:54:38Z  
    Have you tried restarting WID in clean mode, this cleans up and rebuilds the plugin directory and frequently fixes these types of problems. As a best practice you should always restart WID in clean mode after any upgrade or fixpack is applied.

    This article describes a similar problem and give the steps for restarting WID in clean mode.
    http://www-01.ibm.com/support/docview.wss?rs=2308&context=SSQQFK&dc=DB520&dc=DB560&uid=swg21285215&loc=en_US&cs=UTF-8&lang=en&rss=ct2308websphere
    good luck!
  • vikkychan
    vikkychan
    12 Posts

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2011-09-27T16:07:46Z  
    • bmruter
    • ‏2011-09-27T12:54:38Z
    Have you tried restarting WID in clean mode, this cleans up and rebuilds the plugin directory and frequently fixes these types of problems. As a best practice you should always restart WID in clean mode after any upgrade or fixpack is applied.

    This article describes a similar problem and give the steps for restarting WID in clean mode.
    http://www-01.ibm.com/support/docview.wss?rs=2308&context=SSQQFK&dc=DB520&dc=DB560&uid=swg21285215&loc=en_US&cs=UTF-8&lang=en&rss=ct2308websphere
    good luck!
    I tried as per above suggestion (rename the platform xml and used (-clean) pmtr.

    The WID did not start at all, rather it pointed to a log file with error. Heres the content of that file:
    *******
    !SESSION 2011-09-27 11:05:01.291
    eclipse.buildId=3.4.0
    java.fullversion=JRE 1.6.0 IBM J9 2.4 Windows XP x86-32 jvmwi3260sr9-20110324_78506 (JIT enabled, AOT enabled)
    J9VM - 20110324_078506
    JIT - r9_20101028_17488ifx3
    GC - 20101027_AA
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
    Framework arguments: -showlocation -product com.ibm.wbit.feature.ide -product com.ibm.wbit.feature.ide
    Command-line arguments: -os win32 -ws win32 -arch x86 -showlocation -product com.ibm.wbit.feature.ide -product com.ibm.wbit.feature.ide -data c:\Work\wid7 -clean

    !ENTRY org.eclipse.equinox.app 0 0 2011-09-27 11:05:02.087
    !MESSAGE Product com.ibm.wbit.feature.ide could not be found.

    !ENTRY org.eclipse.osgi 4 0 2011-09-27 11:05:11.322
    !MESSAGE Application error
    !STACK 1
    java.lang.RuntimeException: No application id has been found.
    at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:236)
    at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
    at java.lang.reflect.Method.invoke(Method.java:611)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
    *******

    Any further help would be highly appreciated.
    VikkyChan
    PS: if you have come to a solution, share among us here in this forum
  • vikkychan
    vikkychan
    12 Posts

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2011-10-03T15:31:00Z  
    I could not find an answer for it, so finally ended up uninstalling all WID & WPS-test env and reinstalling all the products (always in a fresh directory).

    Not a solution in my opinion, but at least I can work on my work related code.

    VikkyChan
    PS: Not marking this post as a solution and would love to see some1 post some config/steps that can fix the issue without the uninstall-install.
  • wpslearner
    wpslearner
    2 Posts

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2012-07-13T15:29:08Z  
    Hi All,
    I have the similar issue. I have upgraded it to 7.0.0.5. And my WID is opening throwing same error. Can any one help me out in this.

    
    IBM® WebSphere® Integration Developer Version 7.0.0.5 (7.0.0.500_20120616_1522)   IBM® WebSphere® Integration Developer V7.0 Feature Pack 2 Version 1.0.1.0 (1.0.1.000_20101206_1246)
    

    These are the version numbers i have added.
  • wpslearner
    wpslearner
    2 Posts

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2012-07-13T15:29:32Z  
    Hi All,
    I have the similar issue. I have upgraded it to 7.0.0.5. And my WID is not opening throwing same error. Can any one help me out in this.

    
    IBM® WebSphere® Integration Developer Version 7.0.0.5 (7.0.0.500_20120616_1522)   IBM® WebSphere® Integration Developer V7.0 Feature Pack 2 Version 1.0.1.0 (1.0.1.000_20101206_1246)
    

    These are the version numbers i have added.
  • SystemAdmin
    SystemAdmin
    6089 Posts

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2012-07-24T15:27:46Z  
    Hi All,
    I have the similar issue. I have upgraded it to 7.0.0.5. And my WID is not opening throwing same error. Can any one help me out in this.

    <pre class="jive-pre"> IBM® WebSphere® Integration Developer Version 7.0.0.5 (7.0.0.500_20120616_1522) IBM® WebSphere® Integration Developer V7.0 Feature Pack 2 Version 1.0.1.0 (1.0.1.000_20101206_1246) </pre>
    These are the version numbers i have added.
    Even I also faced the same problem. Any update?
  • c_neff
    c_neff
    1 Post

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2012-09-27T19:35:44Z  
    • vikkychan
    • ‏2011-09-27T16:07:46Z
    I tried as per above suggestion (rename the platform xml and used (-clean) pmtr.

    The WID did not start at all, rather it pointed to a log file with error. Heres the content of that file:
    *******
    !SESSION 2011-09-27 11:05:01.291
    eclipse.buildId=3.4.0
    java.fullversion=JRE 1.6.0 IBM J9 2.4 Windows XP x86-32 jvmwi3260sr9-20110324_78506 (JIT enabled, AOT enabled)
    J9VM - 20110324_078506
    JIT - r9_20101028_17488ifx3
    GC - 20101027_AA
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
    Framework arguments: -showlocation -product com.ibm.wbit.feature.ide -product com.ibm.wbit.feature.ide
    Command-line arguments: -os win32 -ws win32 -arch x86 -showlocation -product com.ibm.wbit.feature.ide -product com.ibm.wbit.feature.ide -data c:\Work\wid7 -clean

    !ENTRY org.eclipse.equinox.app 0 0 2011-09-27 11:05:02.087
    !MESSAGE Product com.ibm.wbit.feature.ide could not be found.

    !ENTRY org.eclipse.osgi 4 0 2011-09-27 11:05:11.322
    !MESSAGE Application error
    !STACK 1
    java.lang.RuntimeException: No application id has been found.
    at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:236)
    at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
    at java.lang.reflect.Method.invoke(Method.java:611)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
    *******

    Any further help would be highly appreciated.
    VikkyChan
    PS: if you have come to a solution, share among us here in this forum
    We have had the exact same problem here after upgrading to V7.0.0.5, but with a much simpler solution.

    For the upgrade problem, another workaround is in the file "<WID_Install>/Configuration/config.ini". Specify the value "org.eclipse.update.reconcile=true", then re-launch WebSphere Integration Developer V7.0.0.5. This value can be removed from 'config.ini' once WID has launched successfully.
  • SystemAdmin
    SystemAdmin
    6089 Posts

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2012-10-04T14:19:03Z  
    I had exactly the same problem when I upgraded my WID from 7.0.0 to 7.0.0.5. It stopped working and redirecting to an error log having the same error stack. Thanks to c_neff. His solution really worked for me.
  • salzo
    salzo
    4 Posts

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2012-11-09T18:29:08Z  
    I had exactly the same problem when I upgraded my WID from 7.0.0 to 7.0.0.5. It stopped working and redirecting to an error log having the same error stack. Thanks to c_neff. His solution really worked for me.
    Just happened also the same to me. Another workaround is rolling back the upgrade and installing it again through IBM installation manager.
  • JingYou
    JingYou
    1 Post

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2012-11-29T01:52:46Z  
    I have also encounter the same problem after upgrade my WID from 7.0.0.0 to 7.0.0.5.

    After consulting with another guy, I have got the WID 7.0.0.5 started up:

    1. Open the <WID_INSTALL>\configuration\config.ini
    2. Find org.eclipse.update.reconcile on config.ini and make sure the value is 'true':
    org.eclipse.update.reconcile=true
    3. Start WID again it should be working.

    Good luck, guys!~
  • SreenivasBandaru
    SreenivasBandaru
    1 Post

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2013-01-22T06:12:44Z  
    • JingYou
    • ‏2012-11-29T01:52:46Z
    I have also encounter the same problem after upgrade my WID from 7.0.0.0 to 7.0.0.5.

    After consulting with another guy, I have got the WID 7.0.0.5 started up:

    1. Open the <WID_INSTALL>\configuration\config.ini
    2. Find org.eclipse.update.reconcile on config.ini and make sure the value is 'true':
    org.eclipse.update.reconcile=true
    3. Start WID again it should be working.

    Good luck, guys!~
    I had the same problem

    The above solution worked for me
  • prithvik
    prithvik
    1 Post

    Re: WID upgrade Issue, Business Integration perspective not available.

    ‏2014-02-07T12:10:19Z  
    • c_neff
    • ‏2012-09-27T19:35:44Z
    We have had the exact same problem here after upgrading to V7.0.0.5, but with a much simpler solution.

    For the upgrade problem, another workaround is in the file "<WID_Install>/Configuration/config.ini". Specify the value "org.eclipse.update.reconcile=true", then re-launch WebSphere Integration Developer V7.0.0.5. This value can be removed from 'config.ini' once WID has launched successfully.

    This is worked for me. Thanks a lot.